Subtitle Styles

March 10, 2026

Subtitle Styles

When using the AI Clipping or Find Moments APIs with captions enabled, you can specify a subtitle style template via the cc_style_tpl parameter. Below are the available styles.

Usage

Pass the style ID as the cc_style_tpl value when submitting a task:

curl -X POST https://wayinvideo-api.wayin.ai/open/v2/clips \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "x-wayinvideo-api-version: v2" \
  -d '{
    "video_url": "https://www.youtube.com/watch?v=example",
    "enable_caption": true,
    "cc_style_tpl": "STYLE_ID"
  }'

Available Styles

Style IDPreview
temp-0temp-0
temp-1temp-1
temp-2temp-2
temp-3temp-3
temp-4temp-4
temp-5temp-5
temp-6temp-6
temp-7temp-7
temp-8temp-8
temp-9temp-9
temp-10temp-10
temp-11temp-11
temp-12temp-12
temp-13temp-13
temp-14temp-14
temp-15temp-15
temp-16temp-16
temp-17temp-17
temp-static-1temp-static-1
temp-static-2temp-static-2
temp-static-3temp-static-3
temp-static-4temp-static-4
temp-static-5temp-static-5
temp-static-6temp-static-6

Note: The preview images above show approximate rendering. Actual results may vary slightly based on video content and resolution. If no cc_style_tpl is specified, the default caption style will be applied.